<?php

namespace App\Classes\Modules\Accounting\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class BankStatementTrasactionOwnerObject implements DataTransferObject
{
    /** @var string */
    private $pay_for;

    /** @var string */
    private $system_references;

    // /** @var int|null */
    // private $type;


    /**
     * BankStatementDetailObject constructor.
     * @param string $pay_for
     * @param string $system_references
     * @param int|null $type
     */
    public function __construct(string $pay_for, string $system_references)
    {
        $this->pay_for = $pay_for;
        $this->system_references = $system_references;
    }

    /**
     * @return string
     */
    public function getPayFor(): string
    {
        return $this->pay_for;
    }

    /**
     * @return string
     */
    public function getSystemReferences(): string
    {
        return $this->system_references;
    }
}
